| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SubmessageHeader_t Struct Reference

Structure SubmessageHeader_t, used to contain the header information of a submessage. More...

`#include <RTPS_messages.hpp>`

## Public Member Functions

| SubmessageHeader_t ()

## Public Attributes

octet | submessageId
uint32_t | submessageLength
SubmessageFlag | flags
bool | is_last

## Detailed Description

Structure SubmessageHeader_t, used to contain the header information of a submessage.

## Constructor & Destructor Documentation

## ◆ SubmessageHeader_t()

SubmessageHeader_t | ( |  | ) |

inline

## Member Data Documentation

## ◆ flags

SubmessageFlag flags

## ◆ is_last

bool is_last

## ◆ submessageId

octet submessageId

## ◆ submessageLength

uint32_t submessageLength

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/messages/RTPS_messages.hpp